From f7200a0b9e6da6f52a158110d53c36a044fd0a9a Mon Sep 17 00:00:00 2001
From: Shivam Sharma <10sharmashivam@gmail.com>
Date: Thu, 15 May 2025 07:58:37 +0000
Subject: [PATCH] selftests: futex: improve message clarity in futex_requeue
 test

Signed-off-by: Shivam Sharma <10sharmashivam@gmail.com>
---
 tools/testing/selftests/futex/functional/futex_requeue.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/tools/testing/selftests/futex/functional/futex_requeue.c b/tools/testing/selftests/futex/functional/futex_requeue.c
index 51485be6eb2f..4ff13708ba7c 100644
--- a/tools/testing/selftests/futex/functional/futex_requeue.c
+++ b/tools/testing/selftests/futex/functional/futex_requeue.c
@@ -18,7 +18,7 @@ volatile futex_t *f1;
 
 void usage(char *prog)
 {
-	printf("Usage: %s\n", prog);
+	printf("Usage: %s— futex_requeue test.\n", prog);
 	printf("  -c	Use color\n");
 	printf("  -h	Display this help message\n");
 	printf("  -v L	Verbosity level: %d=QUIET %d=CRITICAL %d=INFO\n",
@@ -33,7 +33,7 @@ void *waiterfn(void *arg)
 	to.tv_nsec = timeout_ns;
 
 	if (futex_wait(f1, *f1, &to, 0))
-		printf("waiter failed errno %d\n", errno);
+		printf("Waiter failed errno %d\n", errno);
 
 	return NULL;
 }
-- 
2.43.0

